import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { BuildingService } from '../../service/monitoring-api.service';
import { DeviceService } from '../../service/device.service';

@Component({
  selector: 'app-device-control',
  templateUrl: './device-control.component.html',
  styleUrls: ['./device-control.component.css']
})
export class DeviceControlComponent {
  data: any;
  totalOn: any;
  totalOff: any;
  filteredRows: any[];
  searchTerm: string = "";
  rows: any = [];
  public breadcrumb: any;
  spinnerActive: boolean = false;

  singlebasicSelected: any;

  singleSelectArray = [
    { item_id: 1, item_text: "Alaska" },
    { item_id: 2, item_text: "California" },
    { item_id: 3, item_text: "Colorado" },
    { item_id: 4, item_text: "New Mexico" },
    { item_id: 5, item_text: "Alabama" },
    { item_id: 6, item_text: "Connecticut" },
    { item_id: 7, item_text: "New York" },
  ];


  constructor(
    private router: Router,
    private deviceService: DeviceService
  ) {}

  ngOnInit() {
    this.breadcrumb = {
      mainlabel: "Device",
      links: [
        {
          name: "Home",
          isLink: false,
          link: "/dashboard/sales",
        },
        {
          name: "Device",
          isLink: false,
        },
      ],
    };
    this.fetchData();
  }

  fetchData() {
    this.deviceService.getDeviceLIst().subscribe((res) => {
      console.log(res);
      
      this.data = res;
      this.filteredRows = this.data.data;
      console.log(this.filteredRows);
    });
  }

  filterRows() {
    if (!this.searchTerm) {
      this.filteredRows = [...this.data.results.data];
    } else {
      this.filteredRows = this.data.results.data.filter((row) =>
        this.rowContainsSearchTerm(row)
      );
    }
  }

  rowContainsSearchTerm(row: any): boolean {
    const searchTermLC = this.searchTerm.toLowerCase();
    return Object.values(row).some(
      (value) =>
        value !== null && value.toString().toLowerCase().includes(searchTermLC)
    );
  }

  addFieldValue() {
    
  }

  addDevice(): void {
    
  }
}
